var background=function(){"use strict";const G="https://lesniewskiportal.com",B=e=>{const n=e&&!e.startsWith("/")?`/${e}`:e;return`${G}${n}`},r={CRM:{TOKEN:"crm.token",REFRESH_TOKEN:"crm.refreshToken",IS_LOGGED_IN:"crm.isLoggedIn",USERNAME:"crm.username",LAST_RESPONSE:"crm.lastResponse",TOKEN_EXPIRATION:"crm.tokenExpiration",USER_ID:"crm.userId"},IAAI:{BUYER_ACCOUNTS:"iaai.buyerAccounts",PENDING_LOGIN:"iaai.pendingLogin",AUTO_LOGIN_COUNTER:"iaai.autoLoginCounter"}},j=new Set;chrome.tabs.onRemoved.addListener(e=>{j.has(e)&&(console.log("[Background] Cleaning up injected tab record for tab:",e),j.delete(e))});async function Q(){try{const e=await chrome.cookies.getAll({domain:".iaai.com"});await Promise.all(e.map(s=>chrome.cookies.remove({url:`https://${s.domain}${s.path}`,name:s.name})));const n=await chrome.tabs.query({url:["*://*.iaai.com/*","*://*.auctionnow.iaai.com/*"]});await Promise.all(n.map(async s=>{if(s.id)try{await chrome.scripting.executeScript({target:{tabId:s.id},func:()=>{sessionStorage.getItem("cleanup_in_progress")||(sessionStorage.setItem("cleanup_in_progress","true"),localStorage.clear(),sessionStorage.clear(),window.location.href.includes("/Account/LogOff")||window.location.replace("https://ca.iaai.com/Account/LogOff"))}})}catch(m){console.error(`Failed to inject cleanup script into tab ${s.id}:`,m)}}))}catch(e){console.error("Cleanup error:",e)}}chrome.runtime.onSuspend.addListener(async()=>{console.log("Extension is being disabled/uninstalled, cleaning up..."),await Q()});async function q(e,n={}){console.group("[Background] Making API request"),console.log("URL:",e),console.log("Options:",JSON.stringify(n,null,2));try{console.log("Starting fetch request...");const s=await fetch(e,{...n,headers:{"Content-Type":"application/json",...n.headers}});return console.log("Fetch completed"),console.log("Response status:",s.status),console.log("Response status text:",s.statusText),console.groupEnd(),s}catch(s){throw console.error("API request failed"),console.error("Error name:",s instanceof Error?s.name:"Unknown"),console.error("Error message:",s instanceof Error?s.message:String(s)),console.error("Error stack:",s instanceof Error?s.stack:"No stack trace"),console.groupEnd(),s}}async function T(){console.log("[Background] Logging out from all portals");try{await chrome.storage.local.remove([r.CRM.TOKEN,r.CRM.REFRESH_TOKEN,r.CRM.IS_LOGGED_IN,r.CRM.USERNAME,r.CRM.LAST_RESPONSE,r.CRM.TOKEN_EXPIRATION,r.CRM.USER_ID,r.IAAI.BUYER_ACCOUNTS,r.IAAI.PENDING_LOGIN,r.IAAI.AUTO_LOGIN_COUNTER]),await chrome.storage.local.set({[r.CRM.IS_LOGGED_IN]:!1}),await U();const e=await chrome.tabs.query({url:["*://*.iaai.com/*","*://*.auctionnow.iaai.com/*"]});return await Promise.all(e.map(async n=>{if(n.id)try{await chrome.scripting.executeScript({target:{tabId:n.id},func:()=>{sessionStorage.getItem("cleanup_in_progress")||(sessionStorage.setItem("cleanup_in_progress","true"),localStorage.clear(),sessionStorage.clear(),window.location.href.includes("/Account/LogOff")||window.location.replace("https://ca.iaai.com/Account/LogOff"))}})}catch(s){console.error(`Failed to inject cleanup script into tab ${n.id}:`,s)}})),!0}catch(e){return console.error("[Background] Portal logout error:",e),!1}}async function W(e){try{console.log("[Background] Attempting to refresh token");const n=await fetch(B("auth/refresh-token"),{method:"POST",headers:{"Content-Type":"application/json"},body:JSON.stringify({refresh_token:e})});if(!n.ok)return console.error("[Background] Token refresh failed:",n.status),{success:!1};const s=await n.json();if(s.token){const m=Date.now()+864e5;return await chrome.storage.local.set({[r.CRM.TOKEN]:s.token,[r.CRM.TOKEN_EXPIRATION]:m}),console.log("[Background] Token refreshed successfully"),{success:!0,token:s.token}}return{success:!1}}catch(n){return console.error("[Background] Token refresh error:",n),{success:!1}}}async function L(){try{const e=await chrome.storage.local.get([r.CRM.TOKEN,r.CRM.REFRESH_TOKEN,r.CRM.TOKEN_EXPIRATION]),n=e[r.CRM.TOKEN],s=e[r.CRM.REFRESH_TOKEN],m=e[r.CRM.TOKEN_EXPIRATION];if(!n)return console.log("[Background] No token found, user is not logged in"),!1;if(!(m&&Date.now()>m))return console.log("[Background] Token is not expired, considering it valid"),!0;console.log("[Background] Token is expired, attempting to validate with API");try{if((await q(B("auth/validate-token"),{method:"POST",headers:{"Content-Type":"application/json",Authorization:`Bearer ${n}`}})).ok)return console.log("[Background] Token is valid despite expiration time"),!0;console.log("[Background] Token validation failed, attempting refresh")}catch(g){console.error("[Background] Token validation error:",g)}return s&&(await W(s)).success?(console.log("[Background] Token refreshed successfully"),!0):(console.log("[Background] Token refresh failed or no refresh token available"),await T(),!1)}catch(e){return console.error("[Background] Auth check error:",e),await T(),!1}}async function H(e){await chrome.scripting.executeScript({target:{tabId:e},world:"MAIN",func:s=>{const m=document.createElement("script");m.textContent=s,(document.head||document.documentElement).appendChild(m),m.remove()},args:[`
    (function() {
      console.log("[Injected Debug] Starting jQuery interceptor initialization");
      
      // Check if we've already intercepted jQuery on this page
      if (window.__jQueryInterceptorApplied) {
        console.log("[Injected Debug] jQuery interceptor already applied, skipping");
        return;
      }
      
      if (window.jQuery) {
        console.log("[Injected Debug] Found jQuery version:", window.jQuery.fn.jquery);
        
        // Mark as intercepted to prevent duplicate interception
        window.__jQueryInterceptorApplied = true;
        
        // Keep track of recently dispatched events to prevent duplicates
        const recentlyDispatchedEvents = new Map();
        
        // Store original jQuery ajax
        const originalAjax = window.jQuery.ajax;

        // Override jQuery ajax
        window.jQuery.ajax = function(...args) {
          const [url, settings] = args;
          const ajaxSettings = typeof url === 'object' ? url : settings || {};
          const finalUrl = typeof url === 'string' ? url : ajaxSettings.url;
          const data = ajaxSettings.data || {};

          console.log("[Injected Debug] jQuery ajax call:", { 
            url: finalUrl, 
            type: ajaxSettings.type || "GET",
            data: typeof data === 'string' ? data : JSON.stringify(data)
          });

          // Check if this is a watchlist action - use broader detection
          if (finalUrl && (
              finalUrl.toLowerCase().includes('processwatch') || 
              finalUrl.toLowerCase().includes('watchlistclick') ||
              finalUrl.toLowerCase().includes('watch') ||
              (typeof data === 'string' && data.toLowerCase().includes('watch'))
            )) {
            console.log("[Injected Debug] Watchlist action detected:", {
              url: finalUrl,
              data: data
            });

            // Create a unique key for this event
            const timestamp = new Date().toISOString();
            const eventKey = \`\${timestamp}-\${finalUrl}\`;
            
            // Check if we've recently dispatched this event
            const now = Date.now();
            const lastDispatched = recentlyDispatchedEvents.get(eventKey);
            
            if (lastDispatched && now - lastDispatched < 2000) {
              console.log("[Injected Debug] Skipping duplicate event dispatch:", eventKey);
            } else {
              // Dispatch a custom event that the content script can listen to
              const detail = {
                timestamp: timestamp,
                url: window.location.href,
                apiUrl: finalUrl,
                data: data
              };
              
              try {
                window.dispatchEvent(new CustomEvent('LESNIEWSKI_WATCHLIST_ACTION', { detail }));
                console.log("[Injected Debug] Successfully dispatched watchlist event");
                
                // Record this dispatch
                recentlyDispatchedEvents.set(eventKey, now);
                
                // Clean up old entries
                if (recentlyDispatchedEvents.size > 20) {
                  const oldKeys = Array.from(recentlyDispatchedEvents.keys()).slice(0, 10);
                  oldKeys.forEach(key => recentlyDispatchedEvents.delete(key));
                }
              } catch (error) {
                console.error("[Injected Debug] Error dispatching watchlist event:", error);
              }
            }
          }

          // Call original jQuery ajax
          return originalAjax.apply(this, typeof url === 'string' ? [url, ajaxSettings] : [ajaxSettings]);
        };

        console.log("[Injected Debug] Successfully intercepted jQuery methods");
      } else {
        console.log("[Injected Debug] jQuery not found");
      }
    })();
  `]})}async function U(){try{const e=await chrome.cookies.getAll({domain:".iaai.com"});return await Promise.all(e.map(n=>chrome.cookies.remove({url:`https://${n.domain}${n.path}`,name:n.name}))),!0}catch(e){return console.error("Error clearing cookies:",e),!1}}chrome.runtime.onMessage.addListener((e,n,s)=>{var m;if(e.get==="ping")return s(!0),!0;if(e.get==="clearAllIaaiCookies")return U().then(i=>{s({success:i})}).catch(i=>{console.error("[Background] Error clearing cookies:",i),s({success:!1,error:i.message})}),!0;if(e.action==="testTokenExpirationLogout")return X().then(()=>{s({success:!0,message:"Test completed"})}).catch(i=>{console.error("[Background] Test error:",i),s({success:!1,error:i.message})}),!0;if(e.action==="INJECT_JQUERY_INTERCEPTOR"&&((m=n.tab)!=null&&m.id)){const i=n.tab.id;return console.log("[Background] Received injection request for tab:",i,"from source:",e.source||"unknown"),H(i).then(()=>{console.log("[Background] Successfully injected jQuery interceptor for tab:",i),s({success:!0})}).catch(g=>{console.error("[Background] Failed to inject jQuery interceptor:",g),s({success:!1,error:String(g)})}),!0}if(e.action==="checkCRMAuth")return console.log("[Background] Checking CRM auth"),L().then(async i=>{if(console.log("[Background] Auth check result:",{isAuthenticated:i}),i){const g=await chrome.storage.local.get([r.CRM.USERNAME,r.CRM.TOKEN,r.CRM.USER_ID,r.CRM.LAST_RESPONSE]);s({isAuthenticated:!0,user:{email:g[r.CRM.USERNAME],token:g[r.CRM.TOKEN],id:g[r.CRM.USER_ID],lastResponse:g[r.CRM.LAST_RESPONSE]}})}else s({isAuthenticated:!1})}).catch(i=>{console.error("[Background] CRM auth check error:",i),s({isAuthenticated:!1,error:String(i)})}),!0;if(e.action==="logoutFromPortals")return console.log("[Background] Received request to logout from all portals"),T().then(i=>{s({success:i})}).catch(i=>{console.error("[Background] Logout from portals error:",i),s({success:!1,error:String(i)})}),!0;console.groupEnd()}),chrome.webNavigation.onBeforeNavigate.addListener(e=>{if(e.frameId!==0)return;const n=new URL(e.url),m=["login.","portal.auctionnow.","apiportal.","ProcessWatch","WatchListClick","RedirectAuctionNow","ProcessPreBid","PreBid","Prebid","api/","signalr/","websocket","bid","Bid","Vehicles/ProcessPreBid","Vehicles/PreBid"].some(i=>n.hostname.includes(i)||n.pathname.includes(i));if(n.hostname.endsWith("iaai.com")&&n.hostname!=="ca.iaai.com"&&!m){const i=n.toString().replace(/^(https?:\/\/)([^\/]*iaai\.com)/,"$1ca.iaai.com");chrome.tabs.update(e.tabId,{url:i})}},{url:[{hostSuffix:"iaai.com"}]});async function X(){console.log("[Background] Starting token expiration logout test");const e={[r.CRM.TOKEN]:"mock-token",[r.CRM.REFRESH_TOKEN]:"mock-refresh-token",[r.CRM.IS_LOGGED_IN]:!0,[r.CRM.USERNAME]:{email:"test@example.com"},[r.CRM.LAST_RESPONSE]:{user:{id:"test-user-id",email:"test@example.com"},buyer_accounts:[{username:"test-buyer",password:"test-password",url:"ca.iaai.com"}]},[r.CRM.TOKEN_EXPIRATION]:Date.now()-1e4,[r.CRM.USER_ID]:"test-user-id",[r.IAAI.BUYER_ACCOUNTS]:[{username:"test-buyer",password:"test-password",url:"ca.iaai.com"}],[r.IAAI.PENDING_LOGIN]:{credentials:{username:"test-buyer",password:"test-password"},timestamp:Date.now()},[r.IAAI.AUTO_LOGIN_COUNTER]:1};await chrome.storage.local.set(e),console.log("[Background] Mock user data stored for test",e);const n=async(x,R={})=>(console.log("[Background Test] Mock request to:",x),x.includes("validate-token")?(console.log("[Background Test] Simulating failed token validation"),{ok:!1,status:401}):{ok:!0,json:async()=>({success:!0})}),s=async()=>(console.log("[Background Test] Simulating failed token refresh"),{success:!1}),m=async()=>{try{const x=await chrome.storage.local.get([r.CRM.TOKEN,r.CRM.REFRESH_TOKEN,r.CRM.TOKEN_EXPIRATION]),R=x[r.CRM.TOKEN],I=x[r.CRM.REFRESH_TOKEN],k=x[r.CRM.TOKEN_EXPIRATION];if(!R)return console.log("[Background] No token found, user is not logged in"),!1;if(!(k&&Date.now()>k))return console.log("[Background] Token is not expired, considering it valid"),!0;console.log("[Background] Token is expired, attempting to validate with API");try{if((await n(`${process.env.API_BASE_URL}/validate-token`,{method:"POST",headers:{"Content-Type":"application/json",Authorization:`Bearer ${R}`}})).ok)return console.log("[Background] Token is valid despite expiration time"),!0;console.log("[Background] Token validation failed, attempting refresh")}catch(E){console.error("[Background] Token validation error:",E)}return I&&(await s()).success?(console.log("[Background] Token refreshed successfully"),!0):(console.log("[Background] Token refresh failed or no refresh token available"),await T(),!1)}catch(x){return console.error("[Background] Auth check error:",x),await T(),!1}};console.log("[Background] Running auth check with mock functions");const i=await m();console.log("[Background] Auth check result:",i);const g=await chrome.storage.local.get([r.CRM.TOKEN,r.CRM.REFRESH_TOKEN,r.CRM.IS_LOGGED_IN,r.CRM.USERNAME,r.CRM.LAST_RESPONSE,r.CRM.TOKEN_EXPIRATION,r.CRM.USER_ID,r.IAAI.BUYER_ACCOUNTS,r.IAAI.PENDING_LOGIN,r.IAAI.AUTO_LOGIN_COUNTER]);console.log("[Background] Remaining data after logout:",g);const y=!g[r.CRM.TOKEN]&&!g[r.CRM.REFRESH_TOKEN]&&!g[r.IAAI.BUYER_ACCOUNTS]&&g[r.CRM.IS_LOGGED_IN]===!1;console.log("[Background] Test result - User properly logged out:",y)}const z={main(){setInterval(async()=>{try{await L()}catch(e){console.error("[Background] Auth check error:",e)}},5*60*1e3)}};function se(){}var C={exports:{}},Y=C.exports,D;function J(){return D||(D=1,function(e,n){(function(s,m){m(e)})(typeof globalThis<"u"?globalThis:typeof self<"u"?self:Y,function(s){if(!(globalThis.chrome&&globalThis.chrome.runtime&&globalThis.chrome.runtime.id))throw new Error("This script should only be loaded in a browser extension.");if(globalThis.browser&&globalThis.browser.runtime&&globalThis.browser.runtime.id)s.exports=globalThis.browser;else{const m="The message port closed before a response was received.",i=g=>{const y={alarms:{clear:{minArgs:0,maxArgs:1},clearAll:{minArgs:0,maxArgs:0},get:{minArgs:0,maxArgs:1},getAll:{minArgs:0,maxArgs:0}},bookmarks:{create:{minArgs:1,maxArgs:1},get:{minArgs:1,maxArgs:1},getChildren:{minArgs:1,maxArgs:1},getRecent:{minArgs:1,maxArgs:1},getSubTree:{minArgs:1,maxArgs:1},getTree:{minArgs:0,maxArgs:0},move:{minArgs:2,maxArgs:2},remove:{minArgs:1,maxArgs:1},removeTree:{minArgs:1,maxArgs:1},search:{minArgs:1,maxArgs:1},update:{minArgs:2,maxArgs:2}},browserAction:{disable:{minArgs:0,maxArgs:1,fallbackToNoCallback:!0},enable:{minArgs:0,maxArgs:1,fallbackToNoCallback:!0},getBadgeBackgroundColor:{minArgs:1,maxArgs:1},getBadgeText:{minArgs:1,maxArgs:1},getPopup:{minArgs:1,maxArgs:1},getTitle:{minArgs:1,maxArgs:1},openPopup:{minArgs:0,maxArgs:0},setBadgeBackgroundColor:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0},setBadgeText:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0},setIcon:{minArgs:1,maxArgs:1},setPopup:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0},setTitle:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0}},browsingData:{remove:{minArgs:2,maxArgs:2},removeCache:{minArgs:1,maxArgs:1},removeCookies:{minArgs:1,maxArgs:1},removeDownloads:{minArgs:1,maxArgs:1},removeFormData:{minArgs:1,maxArgs:1},removeHistory:{minArgs:1,maxArgs:1},removeLocalStorage:{minArgs:1,maxArgs:1},removePasswords:{minArgs:1,maxArgs:1},removePluginData:{minArgs:1,maxArgs:1},settings:{minArgs:0,maxArgs:0}},commands:{getAll:{minArgs:0,maxArgs:0}},contextMenus:{remove:{minArgs:1,maxArgs:1},removeAll:{minArgs:0,maxArgs:0},update:{minArgs:2,maxArgs:2}},cookies:{get:{minArgs:1,maxArgs:1},getAll:{minArgs:1,maxArgs:1},getAllCookieStores:{minArgs:0,maxArgs:0},remove:{minArgs:1,maxArgs:1},set:{minArgs:1,maxArgs:1}},devtools:{inspectedWindow:{eval:{minArgs:1,maxArgs:2,singleCallbackArg:!1}},panels:{create:{minArgs:3,maxArgs:3,singleCallbackArg:!0},elements:{createSidebarPane:{minArgs:1,maxArgs:1}}}},downloads:{cancel:{minArgs:1,maxArgs:1},download:{minArgs:1,maxArgs:1},erase:{minArgs:1,maxArgs:1},getFileIcon:{minArgs:1,maxArgs:2},open:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0},pause:{minArgs:1,maxArgs:1},removeFile:{minArgs:1,maxArgs:1},resume:{minArgs:1,maxArgs:1},search:{minArgs:1,maxArgs:1},show:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0}},extension:{isAllowedFileSchemeAccess:{minArgs:0,maxArgs:0},isAllowedIncognitoAccess:{minArgs:0,maxArgs:0}},history:{addUrl:{minArgs:1,maxArgs:1},deleteAll:{minArgs:0,maxArgs:0},deleteRange:{minArgs:1,maxArgs:1},deleteUrl:{minArgs:1,maxArgs:1},getVisits:{minArgs:1,maxArgs:1},search:{minArgs:1,maxArgs:1}},i18n:{detectLanguage:{minArgs:1,maxArgs:1},getAcceptLanguages:{minArgs:0,maxArgs:0}},identity:{launchWebAuthFlow:{minArgs:1,maxArgs:1}},idle:{queryState:{minArgs:1,maxArgs:1}},management:{get:{minArgs:1,maxArgs:1},getAll:{minArgs:0,maxArgs:0},getSelf:{minArgs:0,maxArgs:0},setEnabled:{minArgs:2,maxArgs:2},uninstallSelf:{minArgs:0,maxArgs:1}},notifications:{clear:{minArgs:1,maxArgs:1},create:{minArgs:1,maxArgs:2},getAll:{minArgs:0,maxArgs:0},getPermissionLevel:{minArgs:0,maxArgs:0},update:{minArgs:2,maxArgs:2}},pageAction:{getPopup:{minArgs:1,maxArgs:1},getTitle:{minArgs:1,maxArgs:1},hide:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0},setIcon:{minArgs:1,maxArgs:1},setPopup:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0},setTitle:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0},show:{minArgs:1,maxArgs:1,fallbackToNoCallback:!0}},permissions:{contains:{minArgs:1,maxArgs:1},getAll:{minArgs:0,maxArgs:0},remove:{minArgs:1,maxArgs:1},request:{minArgs:1,maxArgs:1}},runtime:{getBackgroundPage:{minArgs:0,maxArgs:0},getPlatformInfo:{minArgs:0,maxArgs:0},openOptionsPage:{minArgs:0,maxArgs:0},requestUpdateCheck:{minArgs:0,maxArgs:0},sendMessage:{minArgs:1,maxArgs:3},sendNativeMessage:{minArgs:2,maxArgs:2},setUninstallURL:{minArgs:1,maxArgs:1}},sessions:{getDevices:{minArgs:0,maxArgs:1},getRecentlyClosed:{minArgs:0,maxArgs:1},restore:{minArgs:0,maxArgs:1}},storage:{local:{clear:{minArgs:0,maxArgs:0},get:{minArgs:0,maxArgs:1},getBytesInUse:{minArgs:0,maxArgs:1},remove:{minArgs:1,maxArgs:1},set:{minArgs:1,maxArgs:1}},managed:{get:{minArgs:0,maxArgs:1},getBytesInUse:{minArgs:0,maxArgs:1}},sync:{clear:{minArgs:0,maxArgs:0},get:{minArgs:0,maxArgs:1},getBytesInUse:{minArgs:0,maxArgs:1},remove:{minArgs:1,maxArgs:1},set:{minArgs:1,maxArgs:1}}},tabs:{captureVisibleTab:{minArgs:0,maxArgs:2},create:{minArgs:1,maxArgs:1},detectLanguage:{minArgs:0,maxArgs:1},discard:{minArgs:0,maxArgs:1},duplicate:{minArgs:1,maxArgs:1},executeScript:{minArgs:1,maxArgs:2},get:{minArgs:1,maxArgs:1},getCurrent:{minArgs:0,maxArgs:0},getZoom:{minArgs:0,maxArgs:1},getZoomSettings:{minArgs:0,maxArgs:1},goBack:{minArgs:0,maxArgs:1},goForward:{minArgs:0,maxArgs:1},highlight:{minArgs:1,maxArgs:1},insertCSS:{minArgs:1,maxArgs:2},move:{minArgs:2,maxArgs:2},query:{minArgs:1,maxArgs:1},reload:{minArgs:0,maxArgs:2},remove:{minArgs:1,maxArgs:1},removeCSS:{minArgs:1,maxArgs:2},sendMessage:{minArgs:2,maxArgs:3},setZoom:{minArgs:1,maxArgs:2},setZoomSettings:{minArgs:1,maxArgs:2},update:{minArgs:1,maxArgs:2}},topSites:{get:{minArgs:0,maxArgs:0}},webNavigation:{getAllFrames:{minArgs:1,maxArgs:1},getFrame:{minArgs:1,maxArgs:1}},webRequest:{handlerBehaviorChanged:{minArgs:0,maxArgs:0}},windows:{create:{minArgs:0,maxArgs:1},get:{minArgs:1,maxArgs:2},getAll:{minArgs:0,maxArgs:1},getCurrent:{minArgs:0,maxArgs:1},getLastFocused:{minArgs:0,maxArgs:1},remove:{minArgs:1,maxArgs:1},update:{minArgs:2,maxArgs:2}}};if(Object.keys(y).length===0)throw new Error("api-metadata.json has not been included in browser-polyfill");class x extends WeakMap{constructor(o,c=void 0){super(c),this.createItem=o}get(o){return this.has(o)||this.set(o,this.createItem(o)),super.get(o)}}const R=t=>t&&typeof t=="object"&&typeof t.then=="function",I=(t,o)=>(...c)=>{g.runtime.lastError?t.reject(new Error(g.runtime.lastError.message)):o.singleCallbackArg||c.length<=1&&o.singleCallbackArg!==!1?t.resolve(c[0]):t.resolve(c)},k=t=>t==1?"argument":"arguments",K=(t,o)=>function(l,...A){if(A.length<o.minArgs)throw new Error(`Expected at least ${o.minArgs} ${k(o.minArgs)} for ${t}(), got ${A.length}`);if(A.length>o.maxArgs)throw new Error(`Expected at most ${o.maxArgs} ${k(o.maxArgs)} for ${t}(), got ${A.length}`);return new Promise((d,f)=>{if(o.fallbackToNoCallback)try{l[t](...A,I({resolve:d,reject:f},o))}catch(a){console.warn(`${t} API method doesn't seem to support the callback parameter, falling back to call it without a callback: `,a),l[t](...A),o.fallbackToNoCallback=!1,o.noCallback=!0,d()}else o.noCallback?(l[t](...A),d()):l[t](...A,I({resolve:d,reject:f},o))})},E=(t,o,c)=>new Proxy(o,{apply(l,A,d){return c.call(A,t,...d)}});let N=Function.call.bind(Object.prototype.hasOwnProperty);const O=(t,o={},c={})=>{let l=Object.create(null),A={has(f,a){return a in t||a in l},get(f,a,h){if(a in l)return l[a];if(!(a in t))return;let u=t[a];if(typeof u=="function")if(typeof o[a]=="function")u=E(t,t[a],o[a]);else if(N(c,a)){let w=K(a,c[a]);u=E(t,t[a],w)}else u=u.bind(t);else if(typeof u=="object"&&u!==null&&(N(o,a)||N(c,a)))u=O(u,o[a],c[a]);else if(N(c,"*"))u=O(u,o[a],c["*"]);else return Object.defineProperty(l,a,{configurable:!0,enumerable:!0,get(){return t[a]},set(w){t[a]=w}}),u;return l[a]=u,u},set(f,a,h,u){return a in l?l[a]=h:t[a]=h,!0},defineProperty(f,a,h){return Reflect.defineProperty(l,a,h)},deleteProperty(f,a){return Reflect.deleteProperty(l,a)}},d=Object.create(t);return new Proxy(d,A)},v=t=>({addListener(o,c,...l){o.addListener(t.get(c),...l)},hasListener(o,c){return o.hasListener(t.get(c))},removeListener(o,c){o.removeListener(t.get(c))}}),Z=new x(t=>typeof t!="function"?t:function(c){const l=O(c,{},{getContent:{minArgs:0,maxArgs:0}});t(l)}),$=new x(t=>typeof t!="function"?t:function(c,l,A){let d=!1,f,a=new Promise(b=>{f=function(p){d=!0,b(p)}}),h;try{h=t(c,l,f)}catch(b){h=Promise.reject(b)}const u=h!==!0&&R(h);if(h!==!0&&!u&&!d)return!1;const w=b=>{b.then(p=>{A(p)},p=>{let P;p&&(p instanceof Error||typeof p.message=="string")?P=p.message:P="An unexpected error occurred",A({__mozWebExtensionPolyfillReject__:!0,message:P})}).catch(p=>{console.error("Failed to send onMessage rejected reply",p)})};return w(u?h:a),!0}),ee=({reject:t,resolve:o},c)=>{g.runtime.lastError?g.runtime.lastError.message===m?o():t(new Error(g.runtime.lastError.message)):c&&c.__mozWebExtensionPolyfillReject__?t(new Error(c.message)):o(c)},F=(t,o,c,...l)=>{if(l.length<o.minArgs)throw new Error(`Expected at least ${o.minArgs} ${k(o.minArgs)} for ${t}(), got ${l.length}`);if(l.length>o.maxArgs)throw new Error(`Expected at most ${o.maxArgs} ${k(o.maxArgs)} for ${t}(), got ${l.length}`);return new Promise((A,d)=>{const f=ee.bind(null,{resolve:A,reject:d});l.push(f),c.sendMessage(...l)})},re={devtools:{network:{onRequestFinished:v(Z)}},runtime:{onMessage:v($),onMessageExternal:v($),sendMessage:F.bind(null,"sendMessage",{minArgs:1,maxArgs:3})},tabs:{sendMessage:F.bind(null,"sendMessage",{minArgs:2,maxArgs:3})}},M={clear:{minArgs:1,maxArgs:1},get:{minArgs:1,maxArgs:1},set:{minArgs:1,maxArgs:1}};return y.privacy={network:{"*":M},services:{"*":M},websites:{"*":M}},O(g,re,y)};s.exports=i(chrome)}})}(C)),C.exports}J();function S(e,...n){}const V={debug:(...e)=>S(console.debug,...e),log:(...e)=>S(console.log,...e),warn:(...e)=>S(console.warn,...e),error:(...e)=>S(console.error,...e)};let _;try{_=z.main(),_ instanceof Promise&&console.warn("The background's main() function return a promise, but it must be synchronous")}catch(e){throw V.error("The background crashed on startup!"),e}return _}();
background;
